ServerEvents.recipes(event => {

  // Slabs back to full Block
  event.shaped(Item.of('minecraft:oak_planks'), [    'S',    'S',  ], {    S: 'minecraft:oak_slab',  }).id('tnp:oak_planks_from_slabs')
  event.shaped(Item.of('minecraft:spruce_planks'), [    'S',    'S',  ], {    S: 'minecraft:spruce_slab',  }).id('tnp:spruce_planks_from_slabs')
  event.shaped(Item.of('minecraft:birch_planks'), [    'S',    'S',  ], {    S: 'minecraft:birch_slab',  }).id('tnp:birch_planks_from_slabs')
  event.shaped(Item.of('minecraft:jungle_planks'), [    'S',    'S',  ], {    S: 'minecraft:jungle_slab',  }).id('tnp:jungle_planks_from_slabs')
  event.shaped(Item.of('minecraft:acacia_planks'), [    'S',    'S',  ], {    S: 'minecraft:acacia_slab',  }).id('tnp:acacia_planks_from_slabs')
  event.shaped(Item.of('minecraft:dark_oak_planks'), [    'S',    'S',  ], {    S: 'minecraft:dark_oak_slab',  }).id('tnp:dark_oak_planks_from_slabs')
  event.shaped(Item.of('minecraft:mangrove_planks'), [    'S',    'S',  ], {    S: 'minecraft:mangrove_slab',  }).id('tnp:mangrove_planks_from_slabs')
  event.shaped(Item.of('minecraft:cherry_planks'), [    'S',    'S',  ], {    S: 'minecraft:cherry_slab',  }).id('tnp:cherry_planks_from_slabs')
  event.shaped(Item.of('minecraft:bamboo_planks'), [    'S',    'S',  ], {    S: 'minecraft:bamboo_slab',  }).id('tnp:bamboo_planks_from_slabs')
  event.shaped(Item.of('minecraft:crimson_planks'), [    'S',    'S',  ], {    S: 'minecraft:crimson_slab',  }).id('tnp:crimson_planks_from_slabs')
  event.shaped(Item.of('minecraft:warped_planks'), [    'S',    'S',  ], {    S: 'minecraft:warped_slab',  }).id('tnp:warped_planks_from_slabs')

  event.shaped(Item.of('regions_unexplored:green_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:green_painted_slab',  }).id('tnp:green_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:cyan_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:cyan_painted_slab',  }).id('tnp:cyan_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:light_blue_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:light_blue_painted_slab',  }).id('tnp:light_blue_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:blue_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:blue_painted_slab',  }).id('tnp:blue_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:purple_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:purple_painted_slab',  }).id('tnp:purple_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:magenta_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:magenta_painted_slab',  }).id('tnp:magenta_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:pink_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:pink_painted_slab',  }).id('tnp:pink_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:brown_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:brown_painted_slab',  }).id('tnp:brown_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:white_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:white_painted_slab',  }).id('tnp:white_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:alpha_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:alpha_slab',  }).id('tnp:alpha_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:baobab_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:baobab_slab',  }).id('tnp:baobab_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:blackwood_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:blackwood_slab',  }).id('tnp:blackwood_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:blue_bioshroom_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:blue_bioshroom_slab',  }).id('tnp:blue_bioshroom_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:brimwood_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:brimwood_slab',  }).id('tnp:brimwood_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:cobalt_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:cobalt_slab',  }).id('tnp:cobalt_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:cypress_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:cypress_slab',  }).id('tnp:cypress_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:dead_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:dead_slab',  }).id('tnp:dead_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:eucalyptus_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:eucalyptus_slab',  }).id('tnp:eucalyptus_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:green_bioshroom_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:green_bioshroom_slab',  }).id('tnp:green_bioshroom_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:joshua_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:joshua_slab',  }).id('tnp:joshua_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:kapok_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:kapok_slab',  }).id('tnp:kapok_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:larch_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:larch_slab',  }).id('tnp:larch_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:magnolia_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:magnolia_slab',  }).id('tnp:magnolia_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:maple_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:maple_slab',  }).id('tnp:ru_maple_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:mauve_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:mauve_slab',  }).id('tnp:mauve_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:palm_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:palm_slab',  }).id('tnp:palm_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:pine_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:pine_slab',  }).id('tnp:ru_pine_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:pink_bioshroom_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:pink_bioshroom_slab',  }).id('tnp:pink_bioshroom_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:redwood_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:redwood_slab',  }).id('tnp:redwood_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:socotra_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:socotra_slab',  }).id('tnp:socotra_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:willow_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:willow_slab',  }).id('tnp:willow_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:yellow_bioshroom_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:yellow_bioshroom_slab',  }).id('tnp:yellow_bioshroom_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:red_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:red_painted_slab',  }).id('tnp:red_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:orange_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:orange_painted_slab',  }).id('tnp:orange_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:yellow_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:yellow_painted_slab',  }).id('tnp:yellow_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:lime_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:lime_painted_slab',  }).id('tnp:lime_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:light_gray_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:light_gray_painted_slab',  }).id('tnp:light_gray_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:gray_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:gray_painted_slab',  }).id('tnp:gray_painted_planks_from_slabs')
  event.shaped(Item.of('regions_unexplored:black_painted_planks'), [    'S',    'S',  ], {    S: 'regions_unexplored:black_painted_slab',  }).id('tnp:black_painted_planks_from_slabs')

  event.shaped(Item.of('ad_astra:aeronos_planks'), [    'S',    'S',  ], {    S: 'ad_astra:aeronos_slab',  }).id('tnp:aeronos_planks_from_slabs')
  event.shaped(Item.of('ad_astra:glacian_planks'), [    'S',    'S',  ], {    S: 'ad_astra:glacian_slab',  }).id('tnp:glacian_planks_from_slabs')
  event.shaped(Item.of('ad_astra:strophar_planks'), [    'S',    'S',  ], {    S: 'ad_astra:strophar_slab',  }).id('tnp:strophar_planks_from_slabs')

  event.shaped(Item.of('blue_skies:bluebright_planks'), [    'S',    'S',  ], {    S: 'blue_skies:bluebright_slab',  }).id('tnp:bluebright_planks_from_slabs')
  event.shaped(Item.of('blue_skies:comet_planks'), [    'S',    'S',  ], {    S: 'blue_skies:comet_slab',  }).id('tnp:comet_planks_from_slabs')
  event.shaped(Item.of('blue_skies:dusk_planks'), [    'S',    'S',  ], {    S: 'blue_skies:dusk_slab',  }).id('tnp:dusk_planks_from_slabs')
  event.shaped(Item.of('blue_skies:frostbright_planks'), [    'S',    'S',  ], {    S: 'blue_skies:frostbright_slab',  }).id('tnp:frostbright_planks_from_slabs')
  event.shaped(Item.of('blue_skies:lunar_planks'), [    'S',    'S',  ], {    S: 'blue_skies:lunar_slab',  }).id('tnp:lunar_planks_from_slabs')
  event.shaped(Item.of('blue_skies:maple_planks'), [    'S',    'S',  ], {    S: 'blue_skies:maple_slab',  }).id('tnp:bs_maple_planks_from_slabs')
  event.shaped(Item.of('blue_skies:starlit_planks'), [    'S',    'S',  ], {    S: 'blue_skies:starlit_slab',  }).id('tnp:starlit_planks_from_slabs')

  event.shaped(Item.of('forbidden_arcanus:aurum_planks'), [    'S',    'S',  ], {    S: 'forbidden_arcanus:aurum_slab',  }).id('tnp:aurum_planks_from_slabs')
  event.shaped(Item.of('forbidden_arcanus:edelwood_planks'), [    'S',    'S',  ], {    S: 'forbidden_arcanus:edelwood_slab',  }).id('tnp:edelwood_planks_from_slabs')
  event.shaped(Item.of('forbidden_arcanus:fungyss_planks'), [    'S',    'S',  ], {    S: 'forbidden_arcanus:fungyss_slab',  }).id('tnp:fungyss_planks_from_slabs')

  event.shaped(Item.of('meadow:pine_planks'), [    'S',    'S',  ], {    S: 'meadow:pine_slab',  }).id('tnp:mw_pine_planks_from_slabs')

  event.shaped(Item.of('twilightforest:mossy_towerwood'), [    'S',    'S',  ], {    S: 'tflostblocks:mossy_towerwood_slab',  }).id('tnp:mossy_towerwood_planks_from_slabs')
  event.shaped(Item.of('tflostblocks:thorn_planks'), [    'S',    'S',  ], {    S: 'tflostblocks:thorn_slab',  }).id('tnp:thorn_planks_from_slabs')
  event.shaped(Item.of('twilightforest:towerwood'), [    'S',    'S',  ], {    S: 'tflostblocks:towerwood_slab',  }).id('tnp:towerwood_planks_from_slabs')

  event.shaped(Item.of('twilightforest:canopy_planks'), [    'S',    'S',  ], {    S: 'twilightforest:canopy_slab',  }).id('tnp:canopy_planks_from_slabs')
  event.shaped(Item.of('twilightforest:dark_planks'), [    'S',    'S',  ], {    S: 'twilightforest:dark_slab',  }).id('tnp:dark_planks_from_slabs')
  event.shaped(Item.of('twilightforest:mangrove_planks'), [    'S',    'S',  ], {    S: 'twilightforest:mangrove_slab',  }).id('tnp:tf_mangrove_planks_from_slabs')
  event.shaped(Item.of('twilightforest:mining_planks'), [    'S',    'S',  ], {    S: 'twilightforest:mining_slab',  }).id('tnp:mining_planks_from_slabs')
  event.shaped(Item.of('twilightforest:sorting_planks'), [    'S',    'S',  ], {    S: 'twilightforest:sorting_slab',  }).id('tnp:sorting_planks_from_slabs')
  event.shaped(Item.of('twilightforest:time_planks'), [    'S',    'S',  ], {    S: 'twilightforest:time_slab',  }).id('tnp:time_planks_from_slabs')
  event.shaped(Item.of('twilightforest:transformation_planks'), [    'S',    'S',  ], {    S: 'twilightforest:transformation_slab',  }).id('tnp:transformation_planks_from_slabs')
  event.shaped(Item.of('twilightforest:twilight_oak_planks'), [    'S',    'S',  ], {    S: 'twilightforest:twilight_oak_slab',  }).id('tnp:twilight_oak_planks_from_slabs')

  event.shaped(Item.of('botania:livingwood_planks'), [    'S',    'S',  ], {    S: 'botania:livingwood_planks_slab',  }).id('tnp:livingwood_planks_planks_from_slabs')
  event.shaped(Item.of('botania:dreamwood_planks'), [    'S',    'S',  ], {    S: 'botania:dreamwood_planks_slab',  }).id('tnp:dreamwood_planks_planks_from_slabs')
  event.shaped(Item.of('botania:shimmerwood_planks'), [    'S',    'S',  ], {    S: 'botania:shimmerwood_planks_slab',  }).id('tnp:shimmerwood_planks_planks_from_slabs')

  event.shaped(Item.of('extendedmushrooms:mushroom_planks'), [    'S',    'S',  ], {    S: 'extendedmushrooms:mushroom_slab',  }).id('tnp:mushroom_planks_from_slabs')
  event.shaped(Item.of('extendedmushrooms:glowshroom_planks'), [    'S',    'S',  ], {    S: 'extendedmushrooms:glowshroom_slab',  }).id('tnp:glowshroom_planks_from_slabs')
  event.shaped(Item.of('extendedmushrooms:poisonous_mushroom_planks'), [    'S',    'S',  ], {    S: 'extendedmushrooms:poisonous_mushroom_slab',  }).id('tnp:poisonous_mushroom_planks_from_slabs')
  event.shaped(Item.of('extendedmushrooms:honey_fungus_planks'), [    'S',    'S',  ], {    S: 'extendedmushrooms:honey_fungus_slab',  }).id('tnp:honey_fungus_planks_from_slabs')

  event.shaped(Item.of('createdieselgenerators:chip_wood_block'), [    'S',    'S',  ], {    S: 'createdieselgenerators:chip_wood_slab',  }).id('tnp:chip_wood_planks_from_slabs')

  event.shaped(Item.of('deep_aether:roseroot_planks'), [    'S',    'S',  ], {    S: 'deep_aether:roseroot_slab',  }).id('tnp:roseroot_planks_from_slabs')
  event.shaped(Item.of('deep_aether:yagroot_planks'), [    'S',    'S',  ], {    S: 'deep_aether:yagroot_slab',  }).id('tnp:yagroot_planks_from_slabs')
  event.shaped(Item.of('deep_aether:cruderoot_planks'), [    'S',    'S',  ], {    S: 'deep_aether:cruderoot_slab',  }).id('tnp:cruderoot_planks_from_slabs')
  event.shaped(Item.of('deep_aether:conberry_planks'), [    'S',    'S',  ], {    S: 'deep_aether:conberry_slab',  }).id('tnp:conberry_planks_from_slabs')
  event.shaped(Item.of('deep_aether:sunroot_planks'), [    'S',    'S',  ], {    S: 'deep_aether:sunroot_slab',  }).id('tnp:sunroot_planks_from_slabs')

  event.shaped(Item.of('aether:skyroot_planks'), [    'S',    'S',  ], {    S: 'aether:skyroot_slab',  }).id('tnp:skyroot_planks_from_slabs')

  event.shaped(Item.of('aether_redux:crystal_planks'), [    'S',    'S',  ], {    S: 'aether_redux:crystal_slab',  }).id('tnp:crystal_planks_from_slabs')
  event.shaped(Item.of('aether_redux:blightwillow_planks'), [    'S',    'S',  ], {    S: 'aether_redux:blightwillow_slab',  }).id('tnp:blightwillow_planks_from_slabs')
  event.shaped(Item.of('aether_redux:glacia_planks'), [    'S',    'S',  ], {    S: 'aether_redux:glacia_slab',  }).id('tnp:glacia_planks_from_slabs')
  event.shaped(Item.of('aether_redux:fieldsproot_planks'), [    'S',    'S',  ], {    S: 'aether_redux:fieldsproot_slab',  }).id('tnp:fieldsproot_planks_from_slabs')
  event.shaped(Item.of('aether_redux:cloudcap_planks'), [    'S',    'S',  ], {    S: 'aether_redux:cloudcap_slab',  }).id('tnp:cloudcap_planks_from_slabs')
  event.shaped(Item.of('aether_redux:jellyshroom_planks'), [    'S',    'S',  ], {    S: 'aether_redux:jellyshroom_slab',  }).id('tnp:jellyshroom_planks_from_slabs')

  event.shaped(Item.of('ecologics:coconut_planks'), [    'S',    'S',  ], {    S: 'ecologics:coconut_slab',  }).id('tnp:coconut_planks_from_slabs')
  event.shaped(Item.of('ecologics:walnut_planks'), [    'S',    'S',  ], {    S: 'ecologics:walnut_slab',  }).id('tnp:walnut_planks_from_slabs')
  event.shaped(Item.of('ecologics:azalea_planks'), [    'S',    'S',  ], {    S: 'ecologics:azalea_slab',  }).id('tnp:azalea_planks_from_slabs')
  event.shaped(Item.of('ecologics:flowering_azalea_planks'), [    'S',    'S',  ], {    S: 'ecologics:flowering_azalea_slab',  }).id('tnp:flowering_azalea_planks_from_slabs')

  event.shaped(Item.of('betterarcheology:rotten_planks'), [    'S',    'S',  ], {    S: 'betterarcheology:rotten_slab',  }).id('tnp:rotten_planks_from_slabs')

  event.shaped(Item.of('tropicraft:bamboo_bundle'), [    'S',    'S',  ], {    S: 'tropicraft:bamboo_slab',  }).id('tnp:tc_bamboo_planks_from_slabs')
  event.shaped(Item.of('tropicraft:thatch_bundle'), [    'S',    'S',  ], {    S: 'tropicraft:thatch_slab',  }).id('tnp:thatch_planks_from_slabs')
  event.shaped(Item.of('tropicraft:mahogany_planks'), [    'S',    'S',  ], {    S: 'tropicraft:mahogany_slab',  }).id('tnp:mahogany_planks_from_slabs')
  event.shaped(Item.of('tropicraft:mangrove_planks'), [    'S',    'S',  ], {    S: 'tropicraft:mangrove_slab',  }).id('tnp:tc_mangrove_planks_from_slabs')

  event.shaped(Item.of('integrateddynamics:menril_planks'), [    'S',    'S',  ], {    S: 'integrateddynamics:menril_slab',  }).id('tnp:menril_planks_from_slabs')

  event.shaped(Item.of('cataclysm:chorus_planks'), [    'S',    'S',  ], {    S: 'cataclysm:chorus_slab',  }).id('tnp:chorus_planks_from_slabs')

  event.shaped(Item.of('meadow:pine_planks'), [    'S',    'S',  ], {    S: 'meadow:pine_slab',  }).id('tnp:pine_planks_from_slabs')

  event.shaped(Item.of('vinery:dark_cherry_planks'), [    'S',    'S',  ], {    S: 'vinery:dark_cherry_slab',  }).id('tnp:vy_dark_cherry_planks_from_slabs')

  event.shaped(Item.of('undergarden:smogstem_planks'), [    'S',    'S',  ], {    S: 'undergarden:smogstem_slab',  }).id('tnp:smogstem_planks_from_slabs')
  event.shaped(Item.of('undergarden:wigglewood_planks'), [    'S',    'S',  ], {    S: 'undergarden:wigglewood_slab',  }).id('tnp:wigglewood_planks_from_slabs')
  event.shaped(Item.of('undergarden:grongle_planks'), [    'S',    'S',  ], {    S: 'undergarden:grongle_slab',  }).id('tnp:grongle_planks_from_slabs')

});